Bug 1079620 - [abrt] claws-mail: set_cell_contents(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: set_cell_contents(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2c7ab30a84600c3d08acb3835df...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-22 05:41 UTC by Pavel Mlčoch
Modified: 2015-01-05 07:36 UTC (History)
2 users (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:46 UTC


Attachments (Terms of Use)
File: backtrace (54.71 KB, text/plain)
2014-03-22 05:41 UTC, Pavel Mlčoch
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: core_backtrace (40.29 KB, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: dso_list (20.76 KB, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: environ (1.32 KB, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: maps (104.01 KB, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: open_fds (1.84 KB, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details
File: var_log_messages (3.47 KB, text/plain)
2014-03-22 05:42 UTC, Pavel Mlčoch
no flags Details

Description Pavel Mlčoch 2014-03-22 05:41:52 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        claws-mail
crash_function: set_cell_contents
executable:     /usr/bin/claws-mail
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #1 set_cell_contents at gtkcmctree.c:2426
 #2 gtk_cmctree_node_set_text at gtkcmctree.c:4000
 #3 summary_set_row_marks at summaryview.c:3853
 #4 msginfo_mark_as_read at summaryview.c:3524
 #5 msginfo_mark_as_read_timeout at summaryview.c:3541
 #11 gtk_main at gtkmain.c:1257

Comment 1 Pavel Mlčoch 2014-03-22 05:41:58 UTC
Created attachment 877538 [details]
File: backtrace

Comment 2 Pavel Mlčoch 2014-03-22 05:42:00 UTC
Created attachment 877539 [details]
File: cgroup

Comment 3 Pavel Mlčoch 2014-03-22 05:42:03 UTC
Created attachment 877540 [details]
File: core_backtrace

Comment 4 Pavel Mlčoch 2014-03-22 05:42:06 UTC
Created attachment 877541 [details]
File: dso_list

Comment 5 Pavel Mlčoch 2014-03-22 05:42:08 UTC
Created attachment 877542 [details]
File: environ

Comment 6 Pavel Mlčoch 2014-03-22 05:42:10 UTC
Created attachment 877543 [details]
File: exploitable

Comment 7 Pavel Mlčoch 2014-03-22 05:42:12 UTC
Created attachment 877544 [details]
File: limits

Comment 8 Pavel Mlčoch 2014-03-22 05:42:16 UTC
Created attachment 877545 [details]
File: maps

Comment 9 Pavel Mlčoch 2014-03-22 05:42:18 UTC
Created attachment 877546 [details]
File: open_fds

Comment 10 Pavel Mlčoch 2014-03-22 05:42:20 UTC
Created attachment 877547 [details]
File: proc_pid_status

Comment 11 Pavel Mlčoch 2014-03-22 05:42:22 UTC
Created attachment 877548 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-05-01 14:27:48 UTC
> Architecture 	Count
> x86_64 	2

Since you've not entered any details about reproducibility, there is nothing that can be done about this crash.

Please note that a few key details are needed almost always (unless the backtrace points at exactly the place where it can be concluded what has gone wrong). Is the crash reproducible? And how? If it isn't, how often has it crashed?

A couple of crashes of Claws Mail are just side-effects (caused by memory corruption and/or race conditions letting the code work with pointers to freed data), i.e. it can crash in arbitrary places. Recently, there have been several bug-fixes upstream that will stop some of those side-effects.

Comment 13 Fedora Update System 2014-05-26 21:17:21 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:54 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:38 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:49:46 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:47 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:22 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:55:02 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:11 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:33:55 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:22 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.